package com.example.bean;

import java.sql.Timestamp;
import java.util.List;

public class MedicalRecord {
    private int mid;
    private String uid;
    private String did;
    private String diagnose;
    private String symptom;
    private Timestamp recordtime;
    private List<Drugs> drugs;

    public int getMid() {
        return mid;
    }

    public void setMid(int mid) {
        this.mid = mid;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getDid() {
        return did;
    }

    public void setDid(String did) {
        this.did = did;
    }

    public String getDiagnose() {
        return diagnose;
    }

    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }

    public String getSymptom() {
        return symptom;
    }

    public void setPrescription(String prescription) {
        this.symptom = symptom;
    }

    public Timestamp getRecordtime() {
        return recordtime;
    }

    public void setRecordtime(Timestamp recordtime) {
        this.recordtime = recordtime;
    }

    public List<Drugs> getDrugs() {
        return drugs;
    }

    public void setDrugs(List<Drugs> drugs) {
        this.drugs = drugs;
    }

    @Override
    public String toString() {
        return "MedicalRecord{" +
                "mid=" + mid +
                ", uid='" + uid + '\'' +
                ", did='" + did + '\'' +
                ", diagnose='" + diagnose + '\'' +
                ", symptom='" + symptom + '\'' +
                ", recordtime=" + recordtime +
                ", drugs=" + drugs +
                '}';
    }
}
